Bug 1652482 - Random error when creating projects: 'serviceaccounts "default" already exists'
Summary: Random error when creating projects: 'serviceaccounts "default" already exists'
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.7.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
: 1647924 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 08:40 UTC by Sergio G.
Modified: 2019-11-07 11:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 11:24:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sergio G. 2018-11-22 08:40:11 UTC
Description of problem:
When creating new projects (with a customized template which creates a secret and the default serviceAccount), customer gets random errors about the existance of such serviceAccount.


Attached:
 - master-config.yaml and project-template.yaml.
 - oc new-app --loglevel 9 for a valid and a some failed new project
 - master logs containing the previous errors


Version-Release number of selected component (if applicable):
oc version
oc v3.7.23
kubernetes v1.7.6+a08f5eeb62
features: Basic-Auth

Server https://master-internal.dev.ose.keybank.com:8443
openshift v3.7.23
kubernetes v1.7.6+a08f5eeb62


How reproducible:
Randomly


Steps to Reproduce:
1. Install OpenShift
2. Customize project request template with attached template
3. Customize master-config.yaml to not include "default" in the serviceAccountConfig: managedNames: list.
4. Create several new projects


Actual results:
It randomly fails with:
Error from server (InternalError): Internal error occurred: serviceaccounts "default" already exists


Expected results:
No errors.


Additional info:
In the logs there are a few new-project which failed because the project was still being deleted after a previous error. Please omit it. I haven't deleted them of the files to better match the logs in master logs.

Comment 4 Greg Blomquist 2018-11-28 15:19:15 UTC
*** Bug 1647924 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.